package com.example.wholeestate.controller;

import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Customer;
import com.example.wholeestate.service.ICustomerService;
import com.google.common.collect.Maps;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/")
@Api(value = "测试Controller", description = "测试Controller")
public class TestController {

    @Autowired
    private ICustomerService iCustomerService;

    @RequestMapping(value = "test",method = RequestMethod.GET)
    @ApiOperation(value = "测试请求", notes = "测试请求")
    public ResponseBean test(HttpSession session) {
        ResponseBean responseBean = new ResponseBean();
        Map<String, Object> map = Maps.newHashMap();
        map.put("message", "测试成功!");
        map.put("token", session.getId());
        responseBean.addSuccess(map);
        return responseBean;
    }

    @RequestMapping(value = "test_cu",method = RequestMethod.GET)
    @ApiOperation(value = "测试请求", notes = "测试请求")
    public ResponseBean testCu(HttpSession session) {
        ResponseBean responseBean = new ResponseBean();
        List<Customer> list = iCustomerService.list();
        responseBean.addSuccess(list);
        return responseBean;
    }

}
