package com.example.wholeestate.wx.mini.impl;

import com.alibaba.fastjson.JSONObject;
import com.example.wholeestate.common.http.OkHttpRequestUtils;
import com.example.wholeestate.wx.WxBase;
import com.example.wholeestate.wx.WxConstant;
import com.example.wholeestate.wx.WxMiniProperties;
import com.example.wholeestate.wx.mini.IWxMini;
import com.google.common.collect.Maps;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 微信 小程序实现
 * @author weiximei
 */
@Service
@Slf4j
public class WxMiniImpl extends WxBase implements IWxMini {

    @Autowired
    private WxMiniProperties wxMiniProperties;

    @Override
    public String getOpenid(String code) {

        Map<String, Object> query = Maps.newHashMap();
        query.put("appid", wxMiniProperties.getAppid());
        query.put("secret",wxMiniProperties.getSecret());
        query.put("js_code", code);
        query.put("grant_type","authorization_code");

        String result = null;
        try {
            result = OkHttpRequestUtils.doGet(WxConstant.WX_MINI_CODE2_SESSION, query);
            log.info("获取微信小程序 openid 数据：{}", result);
        } catch (Exception e) {
            e.printStackTrace();
            log.error("微信小程序--获取 openid 失败！", e);
        }

        JSONObject jsonObject = JSONObject.parseObject(result);

        // 校验 errcode
        wxMiniErrCode(jsonObject);

        // 开始获取 openid
        String openid = jsonObject.getString("openid");
        return openid;
    }


}
